/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include <device.h>
uint8 flag = 0;

uint16 measured_period;
uint16 count;
void main()
{

	Timer_1_Start();
	LCD_Start();
	isr_1_Start();
	
	LCD_Position (0,0);
	LCD_PrintString("Period in uS is");
	
    /* Place your initialization/startup code here (e.g. MyInst_Start()) */

    CYGlobalIntEnable;  /* Uncomment this line to enable global interrupts. */
    for(;;)
    {
		/* Place your application code here. */
		if (flag == 1)
		{
			count = Timer_1_ReadCapture();   /* The captured value is Read  */
			measured_period = 10000 - count; /* The count is subtracted from 10000 as it is a Down counter */ 
			LCD_Position(1,0);
			LCD_PrintInt16(measured_period);
			
			flag = 0;     /*  The flag is reset  */    
		}	
    }
}

/* [] END OF FILE */
